Bug 123685 - Default font for zh_* locale
Summary: Default font for zh_* locale
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-20 00:44 UTC by Lawrence Lim
Modified: 2014-03-26 00:50 UTC (History)
3 users (show)

Fixed In Version: openoffice.org-1.1.2-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-06 06:43:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lawrence Lim 2004-05-20 00:44:48 UTC
Description of problem:
Default font for OpenOffice-1.1.1 in the zh_CN (Simplified Chinese)
locale is incorrect. As a result, input of zh_CN characters cannot be
displayed during the input.

Version-Release number of selected component (if applicable):

openoffice.org-libs-1.1.1-4
openoffice.org-1.1.1-4
openoffice.org-i18n-1.1.1-4

How reproducible:
Always

Steps to Reproduce:
1. gdm (select Simplified Chinese)
2. log-in
3. start oowriter
  
Actual results:
æ­£å®ä½;MSung Light SC;SimSun;Song;FZSongYi;FZShuSong;NSimSun;Andale
Sans UI;Arial Unicode MS;Lucida Sans Unicode;Tahoma

Expected results:
AR PL SungtiL GB

Additional info:

Comment 1 Lawrence Lim 2004-09-02 07:21:33 UTC
Problem persists for both zh_TW and zh_CN locale in the OOo-1.1.2-3.

Comment 2 Dan Williams 2004-09-20 14:14:28 UTC
Should be fixed in 1.1.2-5, using:

    # Backups for Sung Ti
    s/æ¹æ­£å®ä½;/æ¹æ­£å®ä½;ZYSong18030;AR PL SungtiL GB;/g;
    # Backups for Ming Ti
    s/æ¹æ­£æé«;/æ¹æ­£æé«;AR PL Mingti2L Big5;/g;


Comment 3 Lawrence Lim 2004-09-23 08:31:17 UTC
Thanks Dan. Will let you know the confirmation. :)

Comment 4 Lawrence Lim 2004-10-06 06:43:27 UTC
Confirmed fixed.

Tested with openoffice.org-1.1.2-8, the fonts for all CJK locale are
correctly identified in the oowriter and ooimpress application.
However, in oocalc, the fonts for CJK locale cannot be identified
correctly. Bug 134021 has a more detailed description. 

Resolving the bug for now. Thanks.


Note You need to log in before you can comment on or make changes to this bug.